For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SupportGet Started
  • Modernfi Developer Hub
    • Overview for Developers
    • Getting Started
  • Topics
    • Using the Sandbox
    • Authentication
    • Account Structure
    • Idempotency
    • Transaction Records and Sweeps
    • Balance Fields
    • Interest
    • Reports
    • Versioning
    • Changelog
  • API Reference
      • GETGet Statements
      • GETGet Account Monthly Statement Config
      • POSTPost Account Monthly Statement Config
      • GETGet Preview Account Monthly Statement
      • GETGet File
LogoLogo
Contact SupportGet Started
API ReferenceFiles

Get Statements

GET
/digital-banking/v1/files/statements
GET
/digital-banking/v1/files/statements
$curl -G https://api.modernfi.com/digital-banking/v1/files/statements \
> -H "Authorization: Bearer <token>" \
> -d statement_type=INSTITUTION_DAILY_SWEEP
1{
2 "statements": [
3 {
4 "file_id": "string",
5 "title": "string",
6 "statement_date": "string",
7 "account_id": "string",
8 "institution_id": "string"
9 }
10 ]
11}
Was this page helpful?
Previous

Get Account Monthly Statement Config

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

statement_typeenumRequired

Type of statement to retrieve. Account statements require account_id. Institution statements require institution_id.

account_idstring or nullOptional

Required for account-level statement types.

institution_idstring or nullOptionalformat: "uuid"

Required for institution-level statement types.

start_datestring or nullOptionalformat: "date"

Filter to include only statements after this date (inclusive).

end_datestring or nullOptionalformat: "date"

Filter to include only statements before this date (inclusive)

id_typeenum or nullOptional
Type of the account id. Must be 'institution' or 'None'.
Allowed values:

Response

Successful Response
statementslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error